Skip to main content
Kofax

DatabaseVars.VersionNumber does not match the current version KdLib 4110 when launching any Module

22054

QAID # 22054

Question / Problem:

When attempting to launch Kofax Capture modules such as Batch Manager, Scan, or Administration, then there is an error received:

[4110] KdoLib: The DatabaseVars.VersionNumber does not match the current version: schema=10201, database=0

Answer / Solution:

When If the Kofax Capture Database does not match the Capture version or, if the schema is not updated when applying the fix pack or server pack, then the error is received to indicate the version mismatch

To resolve this issue:

  1. Navigate to the CaptureSV\Config directory and create a new file named AppInit.ini
  2. Edit AppInit.ini to include details (See Below)
  3. Launch an Elevated Command Prompt and run AppInit.exe (default location: C:\Program Files (x86)\Kofax\Capture\Bin)

After creating the .ini file, browse to the Capture bin folder in a elevated command prompt and run the following:

\AppInit.exe
To trigger the conversion please add ini file with the following content on the CaptureSV folder.
AppInit.ini on CaptureSV/Config
############################
[Main]
InstallType=Server
Silent=False
Auto=False
Upgrade=False
RemoteSite=False
CreateScanSources=True
[DBUtil]
SiteName=Danish -this is the host name SiteID=1
Configuration=SQL Server -this is the server they are using [Convert]
ConvertDB=True -Set this to true
[Results]
LicenseActivated=True

 Applies to:

Product Version
CAPTURE 10.2